> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# コードスキャンプロファイルの一覧（Devin API）

> 組織所有およびアカウント共有の検出・取り込みプロファイルを含む、Enterprise で利用可能な Devin のコードスキャンプロファイル一覧

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ViewAccountCodeScans` 権限を持つ、[サービスユーザー](/ja/api-reference/v3/service-users/members-service-users)または[パーソナルアクセストークン](/ja/api-reference/personal-access-tokens)が必要です。

<div id="behavior">
  ## 動作
</div>

組織所有のプロファイルとアカウント全体で共有されるプロファイル (共有プロファイルの `org_id` は `null`) の両方について、ガイダンステキストを除くプロファイルの概要を新しい順に返します。各概要には、プロファイルの `mode` (`discover` または `ingest`) と `scan_type` が含まれ、[Start Code Scan](/ja/api-reference/v3/code-scans/enterprise-code-scans-start) または [Start Ingestion Scan](/ja/api-reference/v3/code-scans/enterprise-code-scans-start-ingestion) に渡せるかどうかが決まります。

必要に応じて `org_ids` でフィルタリングできます。結果は不透明なカーソル (`after` / `first`) を使用してページネーションされます。プロファイルの完全なガイダンスを取得するには、[Get Code Scan Profile](/ja/api-reference/v3/code-scans/enterprise-code-scans-profile) を利用します。組織スコープの同等のエンドポイントは、[List コードスキャンプロファイル (Organization)](/ja/api-reference/v3/code-scans/organizations-code-scans-profiles) です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/code-scans/profiles
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/code-scans/profiles:
    get:
      tags:
        - code-scans
      summary: コードスキャンプロファイルを一覧表示
      description: >-
        Enterpriseアカウントのコードスキャンプロファイルを一覧表示します。


        ガイダンスを含まないプロファイルの概要を新しい順に返します。組織所有のプロファイルと、アカウント全体で共有されるプロファイルの両方が含まれます。必要に応じて
        ``org_ids`` で絞り込めます。結果は不透明なカーソル（``after`` / ``first``）を使用してページ分割されます。
      operationId: handle_list_code_scan_profiles_v3_enterprise_code_scans_profiles_get
      parameters:
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
        - description: これらの組織に表示されるプロファイルのみを返します。デフォルトでは、アカウント内のすべての組織が対象です。
          in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: これらの組織に表示されるプロファイルのみを返します。デフォルトでは、アカウント内のすべての組織が対象です。
            title: Org Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_CodeScanProfileSummaryResponse_
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 未認証
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセス禁止
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    PaginatedResponse_CodeScanProfileSummaryResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。これが最後のページの場合は None。
          title: End Cursor
        has_next_page:
          default: false
          description: このページの後に利用可能なアイテムがあるかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/CodeScanProfileSummaryResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 任意の合計件数（パフォーマンスのため省略可能）。
          title: Total
      required:
        - items
      title: PaginatedResponse[CodeScanProfileSummaryResponse]
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    CodeScanProfileSummaryResponse:
      description: ガイダンスを含まないコードスキャンプロファイルの要約。
      properties:
        created_at:
          description: プロファイルの作成日時（Unix秒）。
          title: Created At
          type: integer
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: プロファイルの説明（ある場合）。
          title: Description
        mode:
          description: 'プロファイルモード: discover または ingest。'
          enum:
            - discover
            - ingest
          title: Mode
          type: string
        name:
          description: プロファイル名。
          title: Name
          type: string
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          description: プロファイルを所有する組織。プロファイルがアカウント全体で共有されている場合は Null。
          title: Org Id
        profile_id:
          description: プロファイルの一意の識別子。
          title: Profile Id
          type: string
        scan_type:
          description: プロファイルで設定されるスキャンの種類。
          enum:
            - security
            - performance
            - db-queries
            - test-coverage
            - dead-code
            - code-quality
            - telemetry
            - accessibility
            - general
            - migration-docs
          title: Scan Type
          type: string
        visibility:
          description: このプロファイルが単一の組織に属するか、アカウント全体で共有されるかどうか。
          enum:
            - org
            - account
          title: Visibility
          type: string
      required:
        - profile_id
        - name
        - description
        - visibility
        - org_id
        - scan_type
        - mode
        - created_at
      title: CodeScanProfileSummaryResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````